当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 9 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : ubuntu 8.04中如何安装aodv-uu-0.9.3
帖子发表于 : 2008-06-23 21:58 

注册: 2008-04-12 12:49
帖子: 17
送出感谢: 0 次
接收感谢: 0 次
最近想在ubuntu 8.04安装无线网络协议aodv-uu-0.9.3一直未成功,好似内核版本于该协议版本不兼容,我也不清楚到底问题出在哪里,就想问下有没有哪位高手在上面安装成功过,给个教程,万谢!!

我自己也有个想法,就是在8.04中编译进一个低版本的新内核,因为有人在6.06版本中安装成功过,不知道这个方法是否可行,希望大侠们给个建议,再谢!!


页首
 用户资料  
 
2 楼 
 文章标题 : 追加:安装错误提示
帖子发表于 : 2008-06-23 22:05 

注册: 2008-04-12 12:49
帖子: 17
送出感谢: 0 次
接收感谢: 0 次
gcc -Wall -O3 -g -DDEBUG -DCONFIG_GATEWAY -DDEBUG -c -o main.o main.c
In file included from main.c:30:
/usr/include/linux/wireless.h:660: 错误: expected specifier-qualifier-list before ‘__s32’
/usr/include/linux/wireless.h:673: 错误: expected specifier-qualifier-list before ‘__u16’
/usr/include/linux/wireless.h:687: 错误: expected specifier-qualifier-list before ‘__s32’
/usr/include/linux/wireless.h:698: 错误: expected specifier-qualifier-list before ‘__u8’
/usr/include/linux/wireless.h:714: 错误: expected specifier-qualifier-list before ‘__u32’
/usr/include/linux/wireless.h:727: 错误: expected specifier-qualifier-list before ‘__u32’
/usr/include/linux/wireless.h:754: 错误: expected specifier-qualifier-list before ‘__u8’
/usr/include/linux/wireless.h:816: 错误: expected specifier-qualifier-list before ‘__u32’
/usr/include/linux/wireless.h:830: 错误: expected specifier-qualifier-list before ‘__u16’
/usr/include/linux/wireless.h:844: 错误: expected specifier-qualifier-list before ‘__u32’
/usr/include/linux/wireless.h:852: 错误: expected specifier-qualifier-list before ‘__u32’
/usr/include/linux/wireless.h:861: 错误: expected specifier-qualifier-list before ‘__u32’
/usr/include/linux/wireless.h:873: 错误: expected specifier-qualifier-list before ‘__u16’
/usr/include/linux/wireless.h:896: 错误: ‘IFNAMSIZ’未声明 (不在函数内)
/usr/include/linux/wireless.h:911: 错误: expected specifier-qualifier-list before ‘__u32’
/usr/include/linux/wireless.h:955: 错误: expected specifier-qualifier-list before ‘__u32’
/usr/include/linux/wireless.h:1059: 错误: expected specifier-qualifier-list before ‘__u32’
/usr/include/linux/wireless.h:1077: 错误: expected specifier-qualifier-list before ‘__u16’
main.c: 在函数‘get_if_info’中:
main.c:235: 错误: ‘ifr’的存储大小未知
main.c:235: 警告: 未使用的变量‘ifr’
main.c: 在函数‘host_init’中:
main.c:337: 错误: ‘ifc’的存储大小未知
main.c:338: 错误: ‘ifreq’的存储大小未知
main.c:354: 错误: ‘sizeof’不能用于不完全的类型‘struct ifreq’
main.c:354: 错误: 指向未知的外部数据 (“”类型)
main.c:354: 错误: 在指向不完全类型的指针上执行算术运算
main.c:357: 错误: ‘struct iwreq’没有名为‘ifr_name’的成员
main.c:357: 错误: 提领指向不完全类型的指针
main.c:359: 错误: 提领指向不完全类型的指针
main.c:338: 警告: 未使用的变量‘ifreq’
main.c:337: 警告: 未使用的变量‘ifc’
make: *** [main.o] 错误 1
[color=red]
[/color]


页首
 用户资料  
 
3 楼 
 文章标题 : Re: ubuntu 8.04中如何安装aodv-uu-0.9.3
帖子发表于 : 2009-03-27 17:06 

注册: 2009-02-25 10:09
帖子: 21
送出感谢: 0 次
接收感谢: 0 次
朋友,那你现在怎么弄的勒?


页首
 用户资料  
 
4 楼 
 文章标题 : Re: ubuntu 8.04中如何安装aodv-uu-0.9.3
帖子发表于 : 2009-04-14 2:41 

注册: 2009-04-11 13:08
帖子: 2
送出感谢: 0 次
接收感谢: 0 次
有人会装这个吗 ? 我6.06的 也装不上


页首
 用户资料  
 
5 楼 
 文章标题 : Re: ubuntu 8.04中如何安装aodv-uu-0.9.3
帖子发表于 : 2009-04-14 15:48 

注册: 2009-02-25 10:09
帖子: 21
送出感谢: 0 次
接收感谢: 0 次
试试在ubuntu7.10上安装aodv-uu-0.9.5


页首
 用户资料  
 
6 楼 
 文章标题 : Re: ubuntu 8.04中如何安装aodv-uu-0.9.3
帖子发表于 : 2009-04-14 16:02 

注册: 2009-04-11 13:08
帖子: 2
送出感谢: 0 次
接收感谢: 0 次
ubuntu7.10上安装aodv-uu-0.9.5 能装吗?? are you sure?


页首
 用户资料  
 
7 楼 
 文章标题 : Re: ubuntu 8.04中如何安装aodv-uu-0.9.3
帖子发表于 : 2009-04-14 16:39 

注册: 2009-02-25 10:09
帖子: 21
送出感谢: 0 次
接收感谢: 0 次
yes, i am sure
而且我运信的好好的


页首
 用户资料  
 
8 楼 
 文章标题 : Re: ubuntu 8.04中如何安装aodv-uu-0.9.3
帖子发表于 : 2009-08-31 14:55 
头像

注册: 2009-08-11 16:02
帖子: 54
送出感谢: 0 次
接收感谢: 0 次
我也想装,不会弄,期待有人给指点下~


_________________
青春就像卫生纸,看着挺多的,用着用着就不够了~


页首
 用户资料  
 
9 楼 
 文章标题 : Re: ubuntu 8.04中如何安装aodv-uu-0.9.3
帖子发表于 : 2009-11-29 21:14 

注册: 2009-11-29 21:03
帖子: 3
送出感谢: 0 次
接收感谢: 0 次
有人在Ubuntu8.04下成功安装aodv-uu了吗?我使用make编译时总出现错误,希望各位高人能指导下,小妹感激不尽~~~


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 9 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 2 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译